#ifndef JS_DIRECTORY_H
#define JS_DIRECTORY_H

#include "file.h"

/*

Directory object
Allows creation/deletion of a directory. Information about a directory can be obtained from the file object.
class Directory extends File {
public:
	//Get number of files and directories in the directory.
	int getSize()

	//Get number of files
	int getTotalFiles()

	//Get number of directories
	int getTotalDirectories()

	//Unsupported, throw exception.
	void truncate(int size)
}

*/



JSBool register_class_Directory(JSContext *cx);
JSObject *Directory_getPrototypeObject();

struct _DirectoryInformation {
	FileInformation fileInfo;
	DIR *dirHandle;
};

typedef struct _DirectoryInformation DirectoryInformation;


#endif

